<?php
/**
 * Template Name: Home
 *
 */

get_header();

$args = array(
  'post_type' => 'movie',
  'post_per_page' => -1,
  'meta_key' => 'display_on_slider',
  'meta_value' => 'yes'

);
$movie = new WP_Query( $args );
if ( $movie->have_posts() ):

  ?>
<header class="slider">
  <div class="main-slider">
    <div class="swiper-wrapper">
      <?php
      while ( $movie->have_posts() ):
        $movie->the_post();

      $thumbnail_image = get_the_post_thumbnail_url( get_the_ID() );
      $title = get_the_title();

      ?>
      <div class="swiper-slide">
        <div class="slide-inner" data-background="<?php the_field('movie_slider_image') ?>">
			<div class="slide-image-mobile" data-background="<?php the_field('movie_slider_mobile_image') ?>"></div>
          <div class="container" data-swiper-parallax="200">
			  <?php if( get_field('movie_slider_tagline') ): ?>
            <h6 class="tagline"> <?php the_field('movie_slider_tagline') ?></h6>
			  <?php endif; ?>
            <h2 class="name"><?php echo esc_html__( $title ); ?></h2>
            <div class="features">
				<?php if( get_field('imdb_score') ): ?>
              <div class="rate">
                <svg class="circle-chart" viewBox="0 0 30 30" width="40" height="40" fill="transparent" xmlns="http://www.w3.org/2000/svg">
                  <circle class="circle-chart__background" stroke="#eee" stroke-width="2" fill="none" cx="15" cy="15" r="14"></circle>
                  <circle class="circle-chart__circle" stroke="#4eb04b" stroke-width="2" stroke-dasharray="<?php  $num = get_field('imdb_score');  echo esc_html__( $num * '10' - '8' ); ?>,100" cx="15" cy="15" r="14"></circle>
                </svg>
                <b>
                <?php the_field('imdb_score') ?>
                </b> <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/imdb-logo.svg" alt="IMDB"> <?php echo esc_html__( 'Score', 'digiflex' );?> </div>
              <!-- end rate -->
				<?php endif; ?>
				<?php if( get_field('release_year') ): ?>
              <div class="year">
                <?php the_field('release_year') ?>
              </div>
              <!-- end year -->
				<?php endif; ?>
				<?php if( get_field('select_quality') ): ?>
              <div class="quality">
                <?php the_field('select_quality') ?>
              </div>
              <!-- end quality -->
				<?php endif; ?>
				<?php if( get_field('movie_range') ): ?>
              <div class="range">
                <?php the_field('movie_range') ?>
              </div>
              <!-- end range -->
				<?php endif; ?>
				<?php if( get_field('movie_subtitle') ): ?>
              <?php the_field('movie_subtitle') ?>
				<?php endif; ?>
              <?php

              $terms = get_the_terms( $post->ID, 'categories' );
              if ( $terms && !is_wp_error( $terms ) ):
                ?>
              <div class="category">
                <?php foreach ( $terms as $term ) { ?>
                <?php echo esc_html__( $term->name ); ?>
                <?php } ?>
              </div>
              <?php endif;?>
            </div>
            <!-- end features -->
			  <?php if( get_field('movie_short_description') ): ?>
            <p class="description">
              <?php the_field('movie_short_description') ?>
            </p>
			  <?php endif; ?>
			  <?php if( get_field('display_slider_button') == 'yes' ) { ?>
            <a href="<?php the_permalink(); ?>" class="play-btn"><?php the_field('slider_button_label') ?></a>
			<?php } ?>
			</div>
          <!-- end container -->
        </div>
        <!-- end slide-inner -->
      </div>
      <!-- end swiper-slide -->
      <?php
      endwhile;
      ?>
      <?php
      endif;
      ?>
    </div>
    <!-- end swiper-wrapper -->
    <div class="swiper-pagination"></div>
    <!-- end swiper-pagination -->
  </div>
  <!-- end main-slider -->
</header>
<!-- end slider -->
<main>
  <?php
  if ( have_posts() ):
    while ( have_posts() ):
      the_post();
  the_content();
  endwhile;
  endif;
  ?>
</main>
<?php
get_footer();
