<?php
get_header();


$thumbnail_image = get_the_post_thumbnail_url( get_the_ID() );
$title = get_the_title();

$args = array(
  'post_type' => 'episode',
  'posts_per_page' => '990',
  'orderby' => 'date',
  'order' => 'ASC',
  'tax_query' => array(
    array(
      'taxonomy' => 'episode_tag',
      'field' => 'slug',
      'terms' => array(
        $title,

      )
    )
  )

);

?>
<header class="page-header single">
  <div class="poster-bg" data-background="<?php echo esc_url( $thumbnail_image ); ?>"></div>
  <div class="container">
    <div class="row">
      <div class="col-12">
        <div class="video-player">
          <?php the_field('embed_tv_show') ?>
          <!-- end video-player --> 
        </div>
        <!-- end col-12 --> 
      </div>
      <!-- end col-12 --> 
      <!-- end row --> 
    </div>
    <!-- end container --> 
  </div>
</header>
<main>
  <section class="content-section">
    <div class="container">
      <div class="row">
        <div class="col-lg-9">
          <div class="movie-info-box">
            <h2 class="name"> <?php echo esc_html__( $title ); ?></h2>
            <div class="features">
					<?php if( get_field('tv_show_imdb_score') ): ?>
              <div class="rate">
                <svg class="circle-chart" viewBox="0 0 30 30" width="40" height="40" fill="transparent" xmlns="http://www.w3.org/2000/svg">
                  <circle class="circle-chart__background" stroke="#eee" stroke-width="2" fill="none" cx="15" cy="15" r="14"></circle>
                  <circle class="circle-chart__circle" stroke="#4eb04b" stroke-width="2" stroke-dasharray="<?php  $num = get_field('tv_show_imdb_score');  echo esc_html__( $num * '10' - '8' ); ?>,100" cx="15" cy="15" r="14"></circle>
                </svg>
                <b>
                <?php the_field('tv_show_imdb_score') ?>
                </b> <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/imdb-logo.svg" alt="IMDB"> <?php echo esc_html__( 'Score', 'digiflex' );?> </div>
              <!-- end rate -->
				<?php endif; ?>
				<?php if( get_field('tv_show_release_year') ): ?>
              <div class="year">
                <?php the_field('tv_show_release_year') ?>
              </div>
              <!-- end year -->
				<?php endif; ?>
				<?php if( get_field('tv_show_select_quality') ): ?>
              <div class="quality">
                <?php the_field('tv_show_select_quality') ?>
              </div>
              <!-- end quality -->
				<?php endif; ?>
				<?php if( get_field('tv_show_range') ): ?>
              <div class="range">
                <?php the_field('tv_show_range') ?>
              </div>
              <!-- end range -->
				<?php endif; ?>
				<?php if( get_field('tv_show_subtitle') ): ?>
              <?php the_field('tv_show_subtitle') ?>
				<?php endif; ?>
              <?php
              $terms = get_the_terms( $post->ID, 'tv_show_categories' );
              if ( $terms && !is_wp_error( $terms ) ):
                ?>
              <div class="category">
                <?php foreach ( $terms as $term ) { ?>
                <?php echo esc_html__( $term->name ); ?>
                <?php } ?>
              </div>
              <?php endif;?>
            </div>
            <!-- end features -->
			  <?php if( get_field('tv_show_short_description') ): ?>
            <p class="description">
              <?php the_field('tv_show_short_description') ?>
            </p>
			  <?php endif; ?>
            <ul class="info">
				 <?php if( get_field('tv_show_director') ): ?>
              <li>
                <h6><?php echo esc_html__( 'Director', 'digiflex' );?></h6>
                :
                <span><?php the_field('tv_show_director') ?></span>
              </li>
				 <?php endif; ?>
				 <?php if( get_field('tv_show_cast') ): ?>
              <li>
                <h6><?php echo esc_html__( 'Casting', 'digiflex' );?></h6>
                :
                <span><?php the_field('tv_show_cast') ?></span>
              </li>
				<?php endif; ?>
				<?php if( get_field('tv_show_producer') ): ?>
              <li>
                <h6><?php echo esc_html__( 'Production', 'digiflex' );?></h6>
                :
                <span><?php the_field('tv_show_producer') ?></span>
              </li>
				<?php endif; ?>
				
				<?php
  if( have_rows('extra_fields_tvshow') ):
				    ?>
    <?php while ( have_rows('extra_fields_tvshow') ) : the_row(); ?>
    <li>
		 <h6><?php the_sub_field('title_tvshow'); ?></h6>
                :
               <span> <?php the_sub_field('content_tvshow'); ?></span>
		 </li>
    <?php  endwhile; 
				else :
				?>
				
				<?php  endif;?>
				
            </ul>
            <!-- end info --> 
          </div>
          <!-- end movie-info-box --> 
        </div>
        <!-- end col-9 -->
        <div class="col-lg-3">
          <div class="movie-side-box">
            <figure><img src="<?php echo esc_url( $thumbnail_image ); ?>" alt="<?php the_title_attribute(); ?>"></figure>
          </div>
          <!-- end movie-side-box --> 
        </div>
        <!-- end col-3 -->
        <div class="col-12">
          <div class="info-bottom">
            <div class="add-btn"> <?php echo do_shortcode('[favorite_button]');?> </div>
            <!-- end add-btn --> 
            <?php echo do_shortcode('[posts_like_dislike]');?> </div>
          <!-- end info-bottom --> 
        </div>
        <!-- end col-12 --> 
      </div>
      <!-- end row --> 
    </div>
    <!-- end container --> 
  </section>
  <!-- end content-section -->
  <section class="content-section" data-background="#111111">
    <div class="container">
      <div class="row">
        <div class="col-12">
          <div class="section-title light">
            <h2><?php echo wp_kses_post( $title ); ?> <?php echo esc_html__( 'Episodes', 'digiflex' );?></h2>
          </div>
          <!-- end section-title --> 
        </div>
        <!-- end col-12 -->
        <div class="col-12">
          <div class="carousel-tv-shows">
            <div class="swiper-wrapper">
              <?php
              $movie = new WP_Query( $args );
              if ( $movie->have_posts() ):
                while ( $movie->have_posts() ):
                  $movie->the_post();
              ?>
              <div class="swiper-slide">
                <div class="episode-box">
                  <figure><a href="<?php the_permalink(); ?>"><img src="<?php the_field('episode_thumbnail'); ?>" alt="<?php the_field('episode_name'); ?>"></a></figure>
                  <div class="content"> <small> 
					  <?php $post_terms = get_the_terms( get_the_ID(), 'episode_categories' ); ?>
					  <?php echo $post_terms[0]->name; ?> 
                    - <?php echo esc_html__( 'Episode', 'digiflex' );?>
                    <?php the_field('episode_no'); ?>
                    </small>
                    <h6>
                      <?php the_field('episode_name'); ?>
                    </h6>
                  </div>
                  <!-- end content --> 
                </div>
                <!-- end episode-box --> 
              </div>
              <!-- end swiper-slide -->
              <?php endwhile; ?>
              <?php endif;  ?>
            </div>
            <!-- end swiper-wrapper -->
            <div class="swiper-button-next"></div>
            <div class="swiper-button-prev"></div>
          </div>
          <!-- end carousel-tv-shows  --> 
        </div>
        <!-- end col-12 --> 
      </div>
      <!-- end row --> 
    </div>
    <!-- end container --> 
  </section>
  <!-- end content-section -->
  </main>
<?php get_footer(); ?>
